Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey
Class SshPublicKey

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.SshPublicKey

Direct Known Subclasses:
  SshDssPublicKey, SshRsaPublicKey

public abstract class SshPublicKey
extends java.lang.Object

DOCUMENT ME!

Constructor Summary
`SshPublicKey()`

Method Summary
`boolean` | `equals(java.lang.Object obj)` DOCUMENT ME!
`abstract java.lang.String` | `getAlgorithmName()` DOCUMENT ME!
`abstract int` | `getBitLength()` DOCUMENT ME!
`abstract byte[]` | `getEncoded()` DOCUMENT ME!
`java.lang.String` | `getFingerprint()` DOCUMENT ME!
`int` | `hashCode()` DOCUMENT ME!
`abstract boolean` | `verifySignature(byte[] signature, byte[] exchangeHash)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SshPublicKey

    public SshPublicKey()

Method Detail

### getAlgorithmName

    public abstract java.lang.String getAlgorithmName()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getBitLength

    public abstract int getBitLength()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getEncoded

    public abstract byte[] getEncoded()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getFingerprint

    public java.lang.String getFingerprint()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### equals

    public boolean equals(java.lang.Object obj)

  DOCUMENT ME!

  Parameters:
    `obj` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### hashCode

    public int hashCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### verifySignature

    public abstract boolean verifySignature(byte[] signature,
                                            byte[] exchangeHash)
                                     throws InvalidSshKeySignatureException

  DOCUMENT ME!

  Parameters:
    `signature` - DOCUMENT ME!
    `exchangeHash` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeySignatureException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD